Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.inspect.swingui
[Java] Class TableMap

    java.lang.Object
      javax.swing.table.AbstractTableModel
          groovy.inspect.swingui.TableMap

All Implemented Interfaces:
  javax.swing.event.TableModelListener

    public class TableMap
    extends javax.swing.table.AbstractTableModel

In a chain of data manipulators some behaviour is common. TableMap provides most of this behaviour and can be subclassed by filters that only need to override a handful of specific methods. TableMap implements TableModel by routing all requests to its model, and TableModelListener by routing all events to its listeners. Inserting a TableMap which has not been subclassed into a chain of table filters should have no effect.

Authors:
  Philip Milne

Version:
  1.11 01/23/03

Field Summary
`protected javax.swing.table.TableModel` | `model`

Method Summary
`java.lang.Class` | `getColumnClass(int aColumn)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int aColumn)`
`javax.swing.table.TableModel` | `getModel()`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int aRow, int aColumn)`
`boolean` | `isCellEditable(int row, int column)`
`void` | `setModel(javax.swing.table.TableModel model)`
`void` | `setValueAt(java.lang.Object aValue, int aRow, int aColumn)`
`void` | `tableChanged(javax.swing.event.TableModelEvent e)`

Methods inherited from class javax.swing.table.AbstractTableModel
javax.swing.table.AbstractTableModel#setValueAt(java.lang.Object, int, int), javax.swing.table.AbstractTableModel#getColumnName(int), javax.swing.table.AbstractTableModel#getColumnClass(int), javax.swing.table.AbstractTableModel#isCellEditable(int, int), javax.swing.table.AbstractTableModel#addTableModelListener(javax.swing.event.TableModelListener), javax.swing.table.AbstractTableModel#removeTableModelListener(javax.swing.event.TableModelListener), javax.swing.table.AbstractTableModel#fireTableStructureChanged(), javax.swing.table.AbstractTableModel#fireTableChanged(javax.swing.event.TableModelEvent), javax.swing.table.AbstractTableModel#fireTableRowsDeleted(int, int), javax.swing.table.AbstractTableModel#fireTableRowsInserted(int, int), javax.swing.table.AbstractTableModel#fireTableRowsUpdated(int, int), javax.swing.table.AbstractTableModel#fireTableCellUpdated(int, int), javax.swing.table.AbstractTableModel#findColumn(java.lang.String), javax.swing.table.AbstractTableModel#getTableModelListeners(), javax.swing.table.AbstractTableModel#fireTableDataChanged(), javax.swing.table.AbstractTableModel#getListeners(java.lang.Class), javax.swing.table.AbstractTableModel#wait(long), javax.swing.table.AbstractTableModel#wait(long, int), javax.swing.table.AbstractTableModel#wait(), javax.swing.table.AbstractTableModel#equals(java.lang.Object), javax.swing.table.AbstractTableModel#toString(), javax.swing.table.AbstractTableModel#hashCode(), javax.swing.table.AbstractTableModel#getClass(), javax.swing.table.AbstractTableModel#notify(), javax.swing.table.AbstractTableModel#notifyAll(), javax.swing.table.AbstractTableModel#getValueAt(int, int), javax.swing.table.AbstractTableModel#getRowCount(), javax.swing.table.AbstractTableModel#getColumnCount()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### model

    protected javax.swing.table.TableModel model

Method Detail

### getColumnClass

    public java.lang.Class getColumnClass(int aColumn)

### getColumnCount

    public int getColumnCount()

### getColumnName

    public java.lang.String getColumnName(int aColumn)

### getModel

    public javax.swing.table.TableModel getModel()

### getRowCount

    public int getRowCount()

### getValueAt

    public java.lang.Object getValueAt(int aRow, int aColumn)

### isCellEditable

    public boolean isCellEditable(int row, int column)

### setModel

    public void setModel(javax.swing.table.TableModel model)

### setValueAt

    public void setValueAt(java.lang.Object aValue, int aRow, int aColumn)

### tableChanged

    public void tableChanged(javax.swing.event.TableModelEvent e)

Groovy Documentation